<template>
  <div class="d-xs-block d-md-none">
    <b-navbar toggleable="md" type="dark" variant="dark">
      <b-navbar-brand :to="{name: 'dashboard'}">
        <b-img src="../assets/logoAuthPages.png" width="50" alt="Responsive image"></b-img>
        <span class="ml-1">coronavirus</span>
        <strong>makers</strong>
      </b-navbar-brand>
      <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
      <b-collapse id="nav-collapse" is-nav>
        <div class="d-xs-block d-md-none">
          <VSidebar :disabled="!availRegions || (availRegions &&availRegions.length === 0)" />
        </div>
      </b-collapse>
    </b-navbar>
  </div>
</template>


<script>
import VSidebar from "@/components/VSidebar";
import { mapState } from "vuex";

export default {
  name: "nav-bar",
  components: { VSidebar },
  data() {
    return {};
  },
  computed: {
    ...mapState({
      availRegions: state => state.person.availRegions
    })
  }
};
</script>


<style scoped lang="scss">
</style>
